#ifndef INCLUDE_LEARN_ATOMEXTERNALPORT____LEARN____INTPORT_HPP_
#define INCLUDE_LEARN_ATOMEXTERNALPORT____LEARN____INTPORT_HPP_

#include <AtomExternalPort.hpp>

#include <learn/PT__learn__intPort.hpp>

class AtomExternalPort__learn__intPort : public AtomExternalPort {
public:
    AtomExternalPort__learn__intPort(const string &name, const EventConsumptionPolicy &policy);
    virtual ~AtomExternalPort__learn__intPort();

    virtual void initialize() { }
    virtual bool hasEvent() const { return false; }
    virtual void popEvent() { }
    virtual void purgeEvents() { }

    virtual int &lastEvent_get_d() { return m_d; }

protected:
    int m_d;

private:
};

#endif // INCLUDE_LEARN_ATOMEXTERNALPORT____LEARN____INTPORT_HPP_
